Kaspersky
Solved

Windows 10 build 1903 compatibility with older KIS version, 17.0.0.611(n) [Closed]

  • 2 May 2019
  • 4 replies
  • 8932 views

Badge
  • Junior Helper
  • 11 replies
KIS 17.0.0.611(n) has been working great with my current build of windows (1803) but there's no official statement whether the 'n' patch adds compatibility with Win 1903's security center. I know I should install the latest KIS anyway but I'd rather wait for it to receive more patches first.
icon

Best answer by nexon 21 February 2020, 17:38

View original

This topic has been closed for comments

4 replies

Userlevel 7
Badge +9
Good day, @Pica ,
It is better to install Kaspersky Internet Security the 2019 version.
It has already received enough patches for stable operation . https://support.kaspersky.com/13875#block1
Badge
Ok, thanks. KIS 2017 n-patch release notes say that it adds compatibility to Win build 1809 that I think has similar Defender Security Center behavior as 1903 and likely other upcoming builds (3rd party AV's must register properly to it), but yes it's better to just use KIS 2019.
Userlevel 2
Badge +1
Being able to run does not mean that there is no problem at all. Kaspersky's version update will fix some bugs, so it is recommended that you install the latest version of Kaspersky.
Userlevel 7
Badge +3

Hi 

It is better to upgrade on kaspersky version 20 (2020 version).

New products offers new layers of protection.